package cn.superdesk.uniorder.dubbo.facade.sys;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.SysConfig;
import cn.superdesk.uniorder.dto.param.system.SysConfigParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

public interface DubboSysConfigService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysConfigParam param);

	@Deprecated
	void updateObj(SysConfigParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysConfig findById(Long id);

	@Deprecated
	PageInfo<SysConfig> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysConfig> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysConfig(SysConfigParam param);

	void updateSysConfig(SysConfigParam param);

	void deleteSysConfig(Long id);

	SysConfig findSysConfigById(Long id);

	R<List<SysConfig>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


	/****************************************** 自定义 start ******************************************/
	SysConfig findByCode(String code);

	/****************************************** 自定义   end ******************************************/

}
